Skip to main content

Gets the multifactor authentication list

GET /v1/multifactorauth/list

Summary

Gets the multifactor authentication list.

Authentication

No operation-level security requirement is documented here.

Parameters

None documented here.

Request Body

No request body is documented here.

Responses

200

Success

application/json

  • array of MultifactorAuth
    • key (integer (int64), optional)
    • multifactorAuthTypeID (integer (int64), optional)
    • mFASource (string, optional)
    • secretKeyImage (string, optional)
    • userPinCode (integer (int64), optional)
    • pinCodeExpirationDate (string (date-time), optional)
    • isValidated (boolean, optional)
    • isActive (boolean, optional)
    • creationDate (string (date-time), optional)

Example

[
{
"key": 1,
"multifactorAuthTypeID": 1,
"mFASource": "testuser@actionstreamer.com",
"secretKeyImage": "Example value",
"userPinCode": 1,
"pinCodeExpirationDate": "2026-03-30T12:00:00.0000000Z",
"isValidated": true,
"isActive": true,
"creationDate": "2026-03-30T12:00:00.0000000Z"
}
]